TICKIT_RECTSET_SUBTRACT(3)

NAME
tickit_rectset_subtract - subtract a region from a rectangle set

SYNOPSIS
    #include <tickit.h>

    void tickit_rectset_subtract(TickitRectSet *trs, const TickitRect *rect);

Link with -ltickit.

DESCRIPTION
tickit_rectset_subtract() ensures that the regions stored by the rectangle set do not include the area given by rect. To do this, it may have to split one or more of the existing regions into smaller fragments, and so may result in more regions being stored.

RETURN VALUE
tickit_rectset_subtract() returns no value.

SEE ALSO
tickit_rectset_new(3), tickit_rectset(7), tickit_rect(7), tickit(7)